#ifndef PIDFILE_H
#define PIDFILE_H

#include <string>
#include <sys/types.h>

/// Pid file handling
/**
   @copyright Intra2net AG
   @license commerical
*/
class PidFile
{
public:
   PidFile(const std::string &filename, bool remove_file_on_destruction=true);
   ~PidFile();

   bool check_already_running(pid_t *running_pid=NULL);
   bool write();

private:
   /// Full path to the pid file
   std::string Filename;
   /// Remove pid file on destruction
   bool RemoveFileOnDestruction;
   /// Indicates if we wrote the file (gets set by write())
   bool WroteFile;
};

#endif
